Don't send "Flow page manager" notification or email when a user talk page is converted to Flow
Closed, ResolvedPublic2 Story Points

Description

Right now, when we convert a user talk page to Flow, it sends a notification and/or an email: "Flow talk page manager left a message on your talk page."

This is confusing and spammy when we do a namespace/wiki-wide conversion, as we're considering for mediawiki.org. We'd end up sending that message to every user.

We need to suppress both the Echo notif and email.

kaldari created this task.Dec 15 2014, 7:36 PM
kaldari updated the task description. (Show Details)
kaldari raised the priority of this task from to Needs Triage.
kaldari added a project: StructuredDiscussions.
kaldari changed Security from none to None.
kaldari added a subscriber: kaldari.
Quiddity triaged this task as Normal priority.Jan 10 2015, 9:35 PM
Quiddity added a subscriber: Quiddity.
Mattflaschen-WMF renamed this task from Flow creating new message alert when there is no talk page message to Flow creating new message alert when there is no talk page message due to setup process.Jan 11 2015, 2:22 AM
Mattflaschen-WMF renamed this task from Flow creating new message alert when there is no talk page message due to setup process to Flow creating new message alert when there is no talk page message due to Flow activation process.
DannyH renamed this task from Flow creating new message alert when there is no talk page message due to Flow activation process to Flow creating new message alert when there is no talk page message due to Flow activation process (prio from Nick).
Quiddity added subscribers: DannyH, Amire80.

Copied from the merged task:

When @DannyH flowified my user talk page in the Hebrew Wikipedia, I received a rather confusing Echo email. I got in Hebrew, but it went something like: "Flow talk page manager left a message on your talk page:". There was no more text. The messages used are probably Notification-edit-talk-page-email-batch-body2 and Flow-talk-username.

This is confusing. It would be better to receive a more explicit message that would say what actually happened: "Flow talk page manager converted your user talk page to Flow", and without a dangling colon in the end.

Quiddity raised the priority of this task from Normal to High.Mar 22 2015, 5:48 PM
Legoktm moved this task from Backlog to Needs code on the Notifications board.Jul 6 2015, 7:49 AM
DannyH renamed this task from Flow creating new message alert when there is no talk page message due to Flow activation process (prio from Nick) to Don't send "Flow page manager" notification or email when a user talk page is converted to Flow.Jul 27 2015, 9:32 PM
DannyH updated the task description. (Show Details)
DannyH edited a custom field.Jul 28 2015, 6:04 PM
DannyH updated the task description. (Show Details)
DannyH edited a custom field.

Change 228347 had a related patch set uploaded (by Sbisson):
Suppress notifications during talk page conversion to Flow

https://gerrit.wikimedia.org/r/228347

Change 228347 merged by jenkins-bot:
Suppress notifications during talk page conversion to Flow

https://gerrit.wikimedia.org/r/228347

Checked on testwiki in beta.

DannyH closed this task as Resolved.Aug 4 2015, 10:51 PM
DannyH moved this task from Product Review to Done on the Collaboration-Team-Archive-2015-2016 board.